# Live Videos

A **Live Video** is a video of the client performing recital and movement challenges to ensure **liveness**. Typically, along with an ID document, they are used to perform [Enhanced Identity Checks](https://docs.complycube.com/documentation/checks/enhanced-identity-check).

The live videos API allows you to retrieve, download, and delete live photos. You can retrieve a specific live video as well as a list of all your client's live videos.

{% hint style="info" %}
Live videos can only be **created** and **uploaded** via the [Web SDK](https://docs.complycube.com/documentation/guides/web-sdk-quick-guide) and native Mobile SDKs..
{% endhint %}

### The Live Video object

<table><thead><tr><th width="264.610123741195">Attribute</th><th width="130.98393813206428">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>string</td><td>The unique identifier for a live video.</td></tr><tr><td><code>clientId</code></td><td>string</td><td>The ID of the client associated with this live video.</td></tr><tr><td><code>language</code></td><td>string</td><td>The language for the recital challenge.</td></tr><tr><td><code>challenges</code></td><td>array[object]</td><td>The list of challenges associated with this live video. Also, see the <a href="/pages/-MYeu7n8SC0aajtoWmbl#the-challenge-object">challenge</a> object below.</td></tr><tr><td><code>createdAt</code></td><td>string</td><td>The date and time when the live video was created.</td></tr><tr><td><code>updatedAt</code></td><td>string</td><td>The date and time when the live video was updated.</td></tr></tbody></table>

#### The `challenge` object

<table data-header-hidden><thead><tr><th width="269.3791360376082">Attribute</th><th width="126.65960704261289">Type</th><th>Description</th></tr></thead><tbody><tr><td><strong>Attribute</strong></td><td><strong>Type</strong></td><td><strong>Description</strong></td></tr><tr><td><code>type</code></td><td>string</td><td><p>The type of challenge. Valid values include:</p><ol><li><code>voice</code></li><li><code>actions</code></li></ol></td></tr><tr><td><code>value</code></td><td>array[string]</td><td>The expected recital or action challenge the client is expected to perform. </td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.complycube.com/documentation/api-reference/core-resources/live-videos.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
